%{?mingw_package_header}

Name:		mingw-portablexdr
Version:	4.9.1
Release:	%mkrel 18
Summary:	MinGW Windows PortableXDR / RPC Library

License:	LGPLv2+
Group:		Development/Other
URL:		https://people.redhat.com/~rjones/portablexdr/
Source0:	https://people.redhat.com/~rjones/portablexdr/portablexdr-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-binutils

BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-binutils

BuildRequires:	bison

# Remove include of config.h from public header.
Patch0:		portablexdr-4.9.1-no-config-h.patch
Patch1:		portablexdr-build-use-intptr_t-and-uintptr_t-to-cast-ptr-to-int.patch


%description
MinGW Windows PortableXDR XDR / RPC library.


# Win32
%package -n mingw32-portablexdr
Summary:	MinGW Windows PortableXDR / RPC Library

%description -n mingw32-portablexdr
MinGW Windows PortableXDR XDR / RPC library.

%package -n mingw32-portablexdr-static
Summary:       MinGW Windows PortableXDR XDR / RPC library, static version

%description -n mingw32-portablexdr-static
MinGW Windows PortableXDR XDR / RPC library, static version.

# Win64
%package -n mingw64-portablexdr
Summary:        MinGW Windows PortableXDR / RPC Library

%description -n mingw64-portablexdr
MinGW Windows PortableXDR XDR / RPC library.

%package -n mingw64-portablexdr-static
Summary:       MinGW Windows PortableXDR XDR / RPC library, static version

%description -n mingw64-portablexdr-static
MinGW Windows PortableXDR XDR / RPC library, static version.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n portablexdr-%{version}


%build
%mingw_configure --enable-static
# Force bison to generate yylex() prototype to avoid build
# failure with new GCC which is strict about missing prototypes
export POSIXLY_CORRECT=1
rm -f rpcgen_parse.c rpcgen_parse.h
%mingw_make %{?_smp_flags}


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-portablexdr
%doc COPYING.LIB
%{mingw32_bindir}/portable-rpcgen.exe
%{mingw32_bindir}/libportablexdr-0.dll
%{mingw32_libdir}/libportablexdr.dll.a
%{mingw32_includedir}/rpc

%files -n mingw32-portablexdr-static
%{mingw32_libdir}/libportablexdr.a

# Win64
%files -n mingw64-portablexdr
%doc COPYING.LIB
%{mingw64_bindir}/portable-rpcgen.exe
%{mingw64_bindir}/libportablexdr-0.dll
%{mingw64_libdir}/libportablexdr.dll.a
%{mingw64_includedir}/rpc

%files -n mingw64-portablexdr-static
%{mingw64_libdir}/libportablexdr.a




%changelog
* Tue Dec 24 2024 daviddavid <daviddavid> 4.9.1-18.mga10
+ Revision: 2129875
- Re-generate bison files with POSIXLY_CORRECT=1
    This ensures bison generates a yylex() function prototype, which is
    required now that GCC mandates function prototypes.

* Sun Mar 20 2022 umeabot <umeabot> 4.9.1-17.mga9
+ Revision: 1801891
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.9.1-16.mga8
+ Revision: 1492094
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 4.9.1-15.mga7
+ Revision: 1264437
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 4.9.1-14.mga6
+ Revision: 945392
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.9.1-13.mga5
+ Revision: 742202
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.9.1-12.mga5
+ Revision: 682510
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 4.9.1-11.mga4
+ Revision: 547529
- imported package mingw-portablexdr


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.9.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.9.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.9.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 14 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.9.1-8
- Added win64 support (contributed by Marc-Andre Lureau)
- Added static subpackage
- Added win64 specific patch
- Automatically generate debuginfo subpackages

* Fri Mar 09 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.9.1-7
- Dropped .la files

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 4.9.1-6
- Renamed the source package to mingw-portablexdr (#801016)
- Modernize the spec file
- Use mingw macros without leading underscore

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.9.1-5
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul  5 2011 Richard W.M. Jones <rjones@redhat.com> - 4.9.1-3
- Remove include of config.h from public header.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Ryan O'Hara <rohara@redhat.com> - 4.9.1-1
- New upstream release 4.9.1.

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 4.0.11-4
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 4.0.11-3
- Include license file.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 4.0.11-2
- Disable static libraries.
- Use _smp_flags.

* Wed Oct 15 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.11-1
- New upstream version 4.0.11.

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.10-5
- Rename mingw -> mingw32.

* Wed Sep 10 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.10-4
- Remove static library.

* Fri Sep  5 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.10-3
- Use RPM macros from mingw-filesystem.

* Tue Sep  2 2008 Daniel P. Berrange <berrange@redhat.com> - 4.0.10-2
- List files explicitly and set custom CFLAGS

* Tue Jul  8 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.10-1
- New upstream release 4.0.10.
- No need to manually install header files in this version.

* Mon Jul  7 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.9-2
- Initial RPM release, largely based on earlier work from several sources.
